import request from "@/utils/request";
import { AxiosPromise } from "axios";
import { OrdersQuery } from "./types";

//首页涉及相关api（获取未完成任务、扫码开工）
/**
 * 获取未完成任务
 *
 * @param data
 */
export function getOrders(data: any) {
  return request({
    url: "/api/v1/plan/workOrder/taskPage",
    method: "post",
    data: data,
  });
}

/**
 * 扫码开工
 *
 * @param data
 */
export function getScan(data: any) {
  return request({
    url: "/api/v1/process/info/scan",
    method: "post",
    data: data,
  });
}
